Summary: X based image viewer for darned near all images
Name: xv
Version: 3.10a
Release: 14
Copyright: Shareware
Group: Amusements/Graphics
Source0: ftp://ftp.cis.upenn.edu/pub/xv/xv-3.10a.tar.gz
Source1: ftp://swrinde.nde.swri.edu/pub/png/applications/xv-3.10a-png-1.2d.tar.gz
Source2: xv.wmconfig
Patch0: xv-3.10a-linux.patch
Patch1: xv-3.10a.JPEG-patch
Patch2: xv-3.10a-glibc.patch
Patch3: xv-3.10a-grabpatch
Patch4: xv-3.10a-deepcolor.patch
Patch5: xv-3.10a-gifpatch
Patch6: xv-3.10a-longname.patch
Patch7: xv-3.10a-pdf.patch
Patch9: xv-3.10a.TIFF-patch

Url: http://www.trilon.com/xv/xv.html
BuildRoot: /var/tmp/xv-root

%description
This is the famous 'xv' by John Bradley.  It is shareware, but
we ship it with the permission of the authors.  It is a graphics
viewer for many file types, including gif, jpg, tiff, xwd, etc.
It also have manipulation features such as cropping, expanding,
etc.

%prep
%setup -q
cd $RPM_BUILD_DIR/xv-3.10a
tar xvfz $RPM_SOURCE_DIR/xv-3.10a-png-1.2d.tar.gz
patch -p1 --quiet < xvpng.diff
%patch0 -p1 -b .linux
%patch1 -p1 -b .jpegpatc
%patch2 -p1 -b .glibc
%patch3 -p1 -b .grab
%patch4 -p1 -b .deepcolor
%patch5 -p1 -b .gifpatch
%patch6 -p1 -b .longname
%patch7 -p1 -b .pdfpatch
%patch9 -p1 -b .tiffpatch


%build
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{X11R6/bin,X11R6/man/man1,usr/lib}

make	BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
	LIBDIR=$RPM_BUILD_ROOT/usr/lib \
	install

( cd $RPM_BUILD_ROOT
  strip ./usr/X11R6/bin/{xv,bggen,vdcomp,xcmap,xvpictoppm}
  mkdir -p ./etc/X11/wmconfig
  install -m644 $RPM_SOURCE_DIR/xv.wmconfig ./etc/X11/wmconfig/xv
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS 
%config /etc/X11/wmconfig/xv
/usr/X11R6/bin/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xvpictoppm
/usr/X11R6/man/man1/xv.1
/usr/X11R6/man/man1/bggen.1
/usr/X11R6/man/man1/xcmap.1
/usr/X11R6/man/man1/xvpictoppm.1
/usr/X11R6/man/man1/vdcomp.1

%changelog
* Fri Apr 23 1999 Bill Nottingham <notting@redhat.com>
- build for powertools
- apply a pile of patches

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry 

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups
- added patch to manipulate PNG files

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- incorporated new jpegv6 patch from the author's web site
